Subject: Re: bug#21391: 24.5; `thing-at-point' should return a string

From: Dmitry Gutov <[email-masked]>
Date: Mon, 14 Nov 2016 03:52:23 +0200

On 11.11.2016 17:37, Eli Zaretskii wrote:

> I can suggest adding a new function, with the features you mention.
> We could even deprecate thing-at-point and advise to use the new one
> instead.

In this vein, I would propose deprecating `thing-at-point' in favor of 
`bounds-of-thing-at-point', which should provide all the necessary 
information for a `buffer-substring' call anyway (when it works).